<?xml version="1.0" encoding="UTF-8"?>

<!--
    DefaultGatewayRuleSet.xml contains all the rules required for PS/SRA Pages
-->

<!DOCTYPE RuleSet SYSTEM "jar://rewriter.jar/resources/RuleSet.dtd">

<RuleSet id="default_gateway_ruleset" extends="generic_ruleset">

    <HTMLRules>

	<!-- NetLet Applet -->
	<Applet source="*/NetletConfig" code="SServer.class"
	    param="configURL;resourcesURL"/>

	<Applet source="*/NetletConfig" code="NetletEnvDetect.class"
	    param="configURL;resourcesURL"/>

	<!-- NetMail Applet-->
	<Applet source="*/NetMailServlet" code="NetMail.class"
	    param="servletURL;exitURL;resourcesURL;helpURL"/>

	<!-- NetMail Local Installer Applet-->
	<Applet source="*/NetMailServlet" code="Installer.class"
	    param="cabbase;helpfilesURL;"/>

	<!-- NetFile Applets -->
	<Applet source="*/NetFileApplet" code="NetFileApplet.class"
	    param="cabbase;InitURL;UploadURL;NetFileURL;exitURL;OpenFileURL;"/>

	<Attribute name="archive" valuePatterns="DUMMY_STRING_OVERIDE_GENERIC_RULESET_RULE"/>

    </HTMLRules>

    <JSRules>
	<!-- PS Desktop -->
	<Variable name="css"/>
	<Variable name="launchURL" type="URL"/>
	<Variable name="myURL" type="URL"/>

	<Function name="Console_goToURL" paramPatterns=",y"/>
	<Function name="netletConfigOpen" paramPatterns="y,y" type="URL"/>
    </JSRules>
</RuleSet>
